#
# spec file for package xf86-video-freedreno
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-freedreno
Summary:        X.Org X server -- freedreno display driver
License:        MIT and BSD-3-Clause
Group:          System/X11/Servers/XF86_4
Version:        1.4.0
Release:        3.1
ExclusiveArch:  %arm
Url:            https://github.com/freedreno/xf86-video-freedreno
Source0:        http://xorg.freedesktop.org/releases/individual/driver/xf86-video-freedreno-%{version}.tar.bz2
Source1:        http://xorg.freedesktop.org/releases/individual/driver/xf86-video-freedreno-%{version}.tar.bz2.sig
Patch1:         https://github.com/freedreno/xf86-video-freedreno/commit/5c82dc7874b6eaff39dc8c8575e72e5a40f13ea6.patch#/xf86-video-freedreno-abi-23.patch
Patch2:         https://github.com/freedreno/xf86-video-freedreno/commit/5f60ca4fe99199183dced955de0206acb5a5ebe9.patch#/xf86-video-freedreno-notifyfd.patch
Patch3:         https://github.com/freedreno/xf86-video-freedreno/commit/6c8e21c686578f22d973a243a09c838943ddbadd.patch#/xf86-video-freedreno-notifyfd-more.patch
Requires:       xorg-x11-server
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libdrm-devel >= 2.4.54
BuildRequires:  libdrm2 >= 2.4.54
BuildRequires:  libtool
BuildRequires:  libudev-devel
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(inputproto)
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xproto)

%x11_abi_videodrv_req

%description
Open-source X.org graphics driver for Qualcomm Adreno graphics

%prep
%autosetup -p1

%build
autoreconf -fi
export CFLAGS="%{optflags}"
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root,-)
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/*.so
%doc %{_mandir}/man4/freedreno.4.gz
/usr/share/X11/xorg.conf.d/42-freedreno.conf

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Apr  1 2017 afaerber@suse.de
- Build fixes (backports)
  xf86-video-freedreno-abi-23.patch
  xf86-video-freedreno-notifyfd.patch
  xf86-video-freedreno-notifyfd-more.patch
* Sat Feb 13 2016 afaerber@suse.de
- Updated to v1.4.0:
  * Couple bug fixes
  * Add output name for DSI (so doesn't show up as "Unknown")
- Don't package .la file
- Use %%x11_abi_videodrv_req macro
* Tue Apr 28 2015 afaerber@suse.de
- Updated to v1.3.0:
  * fix problems with multiple displays and display resolutions
  which are not multiple of 32
  * server managed fd fixes
  * fix problem with black screen after server regeneration
  (ScreenClose)
  * fix possible segfault on dri2 client disconnect
* Sat Aug 23 2014 afaerber@suse.de
- Updated to v1.2.0:
  * support for server managed fd's (ie. running xserver as non-root)
  * platform-probe and autoconfig support, so no .conf file needed
  with xserver 1.16+
  * bump libdrm requirement, and misc fixes
* Sun May 25 2014 afaerber@suse.de
- Updated to v1.1.0:
  * XA state tracker support for 2D accel using 3D core on devices
  without a z180/2d core. (Ie. anything recent.)
  * Updates for cursor ABI changes in latest xserver
  * Lots of bug fixes
  * Now has a man page which actually documents conf file options
  * Obsoletes U_drop-drm_mode-include.patch and
  U_kms-fb-fix-load_cursor_argb-for-the-new-Xorg-ABI.patch
  * Require libdrm 2.4.54
  * Package new man page
* Tue Apr 29 2014 afaerber@suse.de
- Fix build with recent X.org versions
  U_kms-fb-fix-load_cursor_argb-for-the-new-Xorg-ABI.patch
* Sat Jan 18 2014 afaerber@suse.de
- Code uses not only MIT license but also BSD-3-Clause
* Wed Jan 15 2014 afaerber@suse.de
- Replaced temporary drm_mode.diff build fix with proper
  U_drop-drm_mode-include.patch after upstreaming
- Drop explicit -mfpu=neon (copied from omap) until proven needed
* Wed Jan 15 2014 afaerber@suse.de
- Initial import
  * drm_mode.diff: Build fix - drop drm/drm_mode.h include
